### Name: aln.files
### Title: Prompt user for filenames if necessary, and combine all names
###   into a vector.
### Aliases: aln.files
### Keywords: internal

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## Not run: aln.files("test.nex", "", 2)   #prompts for the missing filename, and returns a character vector

## The function is currently defined as
function(name1, name2, n){
        name.vector<-vector(mode="character", length=n)
        name.vector[1]<-name1
        name.vector[2]<-name2
        for (i in 1:n) {
                if (name.vector[i]=="") name.vector[i]<-readline(paste("Filename for alignment ", i, "? ", sep=""))
                if (name.vector[i]=="") stop("Exiting--you didn't enter a filename!", call.=FALSE)
        }
return(name.vector)
  }



