### Name: ComPairWise-package
### Title: Compare phylogenetic or population genetic DNA/RNA alignments
### Aliases: ComPairWise-package ComPairWise
### Keywords: package

### ** Examples


#The simplest case: 2 alignments, no options changed:
## Not run: 
##D oldwd <- getwd()
##D setwd(file.path(.Library, "ComPairWise", "examples"))
##D cpw("sample.nex", "sample2.nex")
##D setwd(oldwd)
##D rm(oldwd)
## End(Not run)

#other functions
## Not run: 
##D oldwd <- getwd()
##D setwd(file.path(.Library, "ComPairWise", "examples"))
##D nex.aln <- read.nexus("sample.nex")
##D setwd(oldwd)
##D rm(oldwd)
## End(Not run)

## Not run: 
##D oldwd <- getwd()
##D setwd(file.path(.Library, "ComPairWise", "examples"))
##D phy.aln <- read.phylip("sample.phy")
##D setwd(oldwd)
##D rm(oldwd)
## End(Not run)

data(sample.aln)
aln1.mat <- aln.to.matrix(sample.aln)




