### Name: aln.to.matrix
### Title: Convert an alignment to a taxa-by-characters matrix
### Aliases: aln.to.matrix
### Keywords: manip

### ** Examples


data(sample.aln)
sample.mat <- aln.to.matrix(sample.aln, taxa = TRUE)

## The function is currently defined as
function (alignment, taxa = FALSE) 
{
    dna.only <- alignment$seq
    dna.mat <- t(sapply(strsplit(dna.only, split = ""), as.matrix))
    if (taxa) 
        rownames(dna.mat) <- alignment$nam
    return(dna.mat)
}




